<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
/**
 * Settings for MyanPay Gateway.
 */
return array(
	'enabled' => array(
				'title'   => __( 'Enable/Disable', 'woocommerce' ),
				'type'    => 'checkbox',
				'label'   => __( 'Enable Myanpay Payment', 'woocommerce' ),
				'default' => 'yes'
			),
			'title' => array(
				'title'       => __( 'Title', 'woocommerce' ),
				'type'        => 'text',
				'description' => __( 'Payment method description that the customer will see on your checkout.', 'woocommerce' ),
				'default'     => __( 'MyanPay Payment', 'woocommerce' ),
				'desc_tip'    => true,
			),
			'description' => array(
				'title'       => __( 'Description', 'woocommerce' ),
				'type'        => 'textarea',
				'description' => __( 'Payment method description that the customer will see on your website.', 'woocommerce' ),
				'default'     => __( 'Pay with MyanPay Express Checkout (SOAP).', 'woocommerce' ),
				'desc_tip'    => true,
			),
			'apidetails' => array(
				'title'       => __( 'API Credentials', 'woocommerce' ),
				'type'        => 'title',
				'description' => sprintf( __('MyanPay Business Account settings...', 'woocommerce' )),
			),
			'apiusername' => array(
				'title'       => __( 'API Username', 'woocommerce' ),
				'type'        => 'text',
				'description' => __( 'API username for Myanpay Business Account.', 'woocommerce' ),
				'default'     => __( '' ),
				'desc_tip'    => true,
				'placeholder' => __( 'API Username', 'woocommerce' )
			),
			'apipassword' => array(
				'title'       => __( 'API Password', 'woocommerce' ),
				'type'        => 'password',
				'desc_tip'    => true,
				'description' => __( 'API password for Myanpay Business Account.', 'woocommerce' ),
				'default'     => __(''),
				'placeholder' => __( 'API Password', 'woocommerce' )
			),
			'apisignature' => array(
				'title'       => __( 'API Signature', 'woocommerce' ),
				'type'        => 'text',
				'description' => __( 'API Signature for Myanpay Business Account..', 'woocommerce' ),
				'default'     => __( '' ),
				'desc_tip'    => true,
				'placeholder' => __( 'API Signature', 'woocommerce' )
			),
			'order_status' => array(
					'title'   => __( 'Order Status', 'woocommerce' ),
					
					'name'    => __( 'order_status', 'woocommerce' ),
		
					'desc'    => __( '' ),
					
					'id'      => 'order_status',
					
					'css'     => 'min-width:150px;',
					
					'type'    => 'select',
					
					'options' => array(
				
					'wc-pending'    => _x( 'Pending Payment', 'Order status', 'woocommerce' ),
					'wc-processing' => _x( 'Processing', 'Order status', 'woocommerce' ),
					'wc-on-hold'    => _x( 'On Hold', 'Order status', 'woocommerce' ),
					'wc-completed'  => _x( 'Completed', 'Order status', 'woocommerce' ),
					'wc-cancelled'  => _x( 'Cancelled', 'Order status', 'woocommerce' ),
					'wc-refunded'   => _x( 'Refunded', 'Order status', 'woocommerce' ),
					'wc-failed'     => _x( 'Failed', 'Order status', 'woocommerce' ),
		
			),
		
			'desc_tip' =>  true,
		
		  ),
			'mpaymode' => array(
					'title'   => __( 'Myanpay mode', 'woocommerce' ),
					
					'name'    => __( 'mpaymode', 'woocommerce' ),
		
					'desc'    => __( '' ),
					
					'id'      => 'mpaymode',
					
					'css'     => 'min-width:150px;',
					
					'type'    => 'select',
					
					'options' => array(
				
					'live'    => __( 'Live mode', 'woocommerce' ),
					
					'test'    => __( 'Test mode', 'woocommerce' )
		
			),
		
			'desc_tip' =>  true,
		
		  ),
			'headerlogo' => array(
				'title'       => __( 'Header Logo', 'woocommerce' ),
				'type'        => 'text',
				'description' => __( 'Header Logo for Myanpay Payment . Example <strong> (http://www.yourdomain.com/images/logo.png) </strong>', 'woocommerce'),
				'default'     => __( '' ),
				'desc_tip'    => true,
				'placeholder' => __( 'Header Logo', 'woocommerce' )
			),
			'brandname' => array(
				'title'       => __( 'Brand Name', 'woocommerce' ),
				'type'        => 'text',
				'description' => __( 'Brand name', 'woocommerce' ),
				'default'     => __( '' ),
				'desc_tip'    => true,
				'placeholder' => __( 'Brand Name', 'woocommerce' )
			),
			'sellerphone' => array(
				'title'       => __( 'Seller Phone', 'woocommerce' ),
				'type'        => 'text',
				'description' => __( 'Phone no of seller', 'woocommerce' ),
				'default'     => __( '' ),
				'desc_tip'    => true,
				'placeholder' => __( 'Seller Phone', 'woocommerce' )
			)
		);
    
?>
